1. Diese Seite verwendet Cookies. Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies. Weitere Informationen

Smargo lässt sich nicht auf 1.7 Updaten

Dieses Thema im Forum "Cardreader/Cardwriter" wurde erstellt von jack_herer, 10. März 2013.

  1. jack_herer
    Offline

    jack_herer Newbie

    Registriert:
    18. November 2012
    Beiträge:
    27
    Zustimmungen:
    2
    Punkte für Erfolge:
    3
    Hallo.

    Ich habe seit ich das letzte Kernelupdate bei Debian gemacht habe immer das Problem das er mir mit der Meldung

    "Cant read USB Latency Timer -32" den Reader (Smargo Maxdigital) disconnected.

    Nach etwas suche hier im Forum habe ich dann rausgefunden das es mit FW 1.5 und dem neuesten Debian Kernel Probleme gibt.

    Also hab ich meine olle Windows Kiste flott gemacht und wollte die Reader updaten auf 1.7.

    Bei einem hat es auch funktioniert, ich habe folgende Readereinstelliungen vorgenommen:
    Auto
    6Mhz
    T=1
    EGT=0
    Serial=skya
    und siehe da, keine disconnects mehr vom Debian...

    Nur bei meinem 2. Reader funktioniert das Update nicht, er meldet mir beim 1.7er UPDATE es sei ja schon 1.5 drauf und bricht ab.

    Jemand ne Idee?

    Debian spuckt an Serials folgendes aus:
    lsusb -v | grep Serial
    iSerial 1 0000:00:1d.3
    iSerial 1 0000:00:1d.2
    iSerial 1 0000:00:1d.1
    iSerial 1 0000:00:1d.0
    Bus 001 Device 006: ID 0403:6001 Future Technology Devices International, Ltd FT232 USB-Serial (UART) IC
    idProduct 0x6001 FT232 USB-Serial (UART) IC
    iSerial 3 skya <---- 1.7 Erfolgreich
    iSerial 0
    Bus 001 Device 004: ID 0403:6001 Future Technology Devices International, Ltd FT232 USB-Serial (UART) IC
    idProduct 0x6001 FT232 USB-Serial (UART) IC
    iSerial 3 Reader 038FF51 <---- 1.5?!
    iSerial 3 20071114173400000
    iSerial 0
    iSerial 1 0000:00:1d.7
    ist also jetzt auf einem die 1.7er auf dem andern die 1.5er. Den der die 1.7er hat macht keine Faxen mehr der andere immernoch (1.5)


    Thx
     
    #1
  2. phantom

    Nervigen User Advertisement

  3. fidero85
    Offline

    fidero85 Ist oft hier

    Registriert:
    10. März 2011
    Beiträge:
    157
    Zustimmungen:
    50
    Punkte für Erfolge:
    28
    Ort:
    diesseits der Wohnungstüre
    AW: Smargo lässt sich nicht auf 1.7 Updaten

    Welchen Kernel verwendest du denn aktuell? Habe hier keine Probleme diesbzgl. mit 2.6.32-5-686 aus Squeeze. Und warum hast du den Kernel upgedatet?
     
    #2
  4. jack_herer
    Offline

    jack_herer Newbie

    Registriert:
    18. November 2012
    Beiträge:
    27
    Zustimmungen:
    2
    Punkte für Erfolge:
    3
    AW: Smargo lässt sich nicht auf 1.7 Updaten

    hi.

    hab einfach generell mal alles am WE auf Stand gebracht, seit dem kommt nach unbestimmter Zeit beim Reader mit FW 1.5:

    [16024.505063] ftdi_sio ttyUSB1: FTDI USB Serial Device converter now disconnected from ttyUSB1
    [16024.505103] ftdi_sio 1-3.4.3:1.0: device disconnected

    vielleicht hat auch der Hub nen Schuss...

    hab scheinbar den gleichen am laufen jetzt:

    Linux version 2.6.32-5-686 (Debian 2.6.32-46) (dannf@debian.org) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 SMP Sun Sep 23 09:49:36 UTC 2012....

    Schon bei einstecken der Reader mit FW 1.5 kommt immer:

    [ 26.560291] ftdi_sio 1-2.1:1.0: FTDI USB Serial Device converter detected
    [ 26.560599] ftdi_sio ttyUSB0: Unable to read latency timer: -32 (das macht er mit Smargo FW 1.7 nicht mehr)
    [ 26.560822] usb 1-2.1: FTDI USB Serial Device converter now attached to ttyUSB0

    der andere Smargo den ich geupt habe schmeißt er nicht weg....

    verrückt...
     
    #3
  5. jack_herer
    Offline

    jack_herer Newbie

    Registriert:
    18. November 2012
    Beiträge:
    27
    Zustimmungen:
    2
    Punkte für Erfolge:
    3
    AW: Smargo lässt sich nicht auf 1.7 Updaten

    hier noch was debian im dmsg auspuckt beim connecten:

    FW1.5:
    [84140.424565] usb 1-2.3: new full speed USB device using ehci_hcd and address 17
    [84140.517783] usb 1-2.3: New USB device found, idVendor=0403, idProduct=6001
    [84140.517791] usb 1-2.3: New USB device strings: Mfr=0, Product=0, SerialNumber=3
    [84140.517797] usb 1-2.3: SerialNumber: Reader 000000
    [84140.518008] usb 1-2.3: configuration #1 chosen from 1 choice
    [84140.518497] ftdi_sio 1-2.3:1.0: FTDI USB Serial Device converter detected
    [84140.518574] usb 1-2.3: Detected FT232BM
    [84140.518582] usb 1-2.3: Number of endpoints 2
    [84140.518589] usb 1-2.3: Endpoint 1 MaxPacketSize 64
    [84140.518596] usb 1-2.3: Endpoint 2 MaxPacketSize 64
    [84140.518603] usb 1-2.3: Setting MaxPacketSize 64
    [84140.518818] ftdi_sio ttyUSB1: Unable to read latency timer: -32
    [84140.519164] usb 1-2.3: FTDI USB Serial Device converter now attached to ttyUSB1

    FW 1.7:
    [84130.952399] usb 1-2.1: new full speed USB device using ehci_hcd and address 16
    [84131.047650] usb 1-2.1: New USB device found, idVendor=0403, idProduct=6001
    [84131.047667] usb 1-2.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
    [84131.047689] usb 1-2.1: Product: Smartreader plus
    [84131.047695] usb 1-2.1: Manufacturer: Argolis BV
    [84131.047699] usb 1-2.1: SerialNumber: sky00xyz
    [84131.047905] usb 1-2.1: configuration #1 chosen from 1 choice
    [84131.048745] ftdi_sio 1-2.1:1.0: FTDI USB Serial Device converter detected
    [84131.048917] usb 1-2.1: Detected FT232BM
    [84131.048926] usb 1-2.1: Number of endpoints 2
    [84131.048934] usb 1-2.1: Endpoint 1 MaxPacketSize 64
    [84131.048941] usb 1-2.1: Endpoint 2 MaxPacketSize 64
    [84131.048948] usb 1-2.1: Setting MaxPacketSize 64
    [84131.049457] usb 1-2.1: FTDI USB Serial Device converter now attached to ttyUSB0

    hab gerade 2 neue bestellt. mal schauen.
     
    #4
  6. supamicha
    Offline

    supamicha Freak

    Registriert:
    3. November 2009
    Beiträge:
    248
    Zustimmungen:
    106
    Punkte für Erfolge:
    43
    AW: Smargo lässt sich nicht auf 1.7 Updaten

    Ich hab vor kurzem 5 Smargos von 1.05 auf 1.07 upgedatet. Auf dem direkten Weg ging das leider nicht.

    Meine Reihenfolge war so:
    - Downgrade mit downgrade Version auf 1.03. Danach wird der Reader nicht mehr erkannt.
    - Upgradeprogramm auf 1.07 starten und Reader einstecken
    - Transistor am USB Stecker gegen Masse kurz !! kurzschliessen - Reader wird erkanntg und upgrade ausgeführt.

    Gruss
    micha
     
    #5

Diese Seite empfehlen